[ "$(command -v vboxmanage)" ] || return 0

# Default is "$HOME/VirtualBox VMs".
if \
  ! [ -e "$HOME/.config/VirtualBox/VirtualBox.xml" ] || \
  ! grep -q "$HOME/.virtualbox-vms" "$HOME/.config/VirtualBox/VirtualBox.xml"
then
  vboxmanage setproperty machinefolder "$HOME/.virtualbox-vms"
fi
